Package org.jfree.report.expressions.sys

# Class IsExportTypeExpression

java.lang.Object
org.jfree.report.expressions.AbstractExpression
org.jfree.report.expressions.sys.IsExportTypeExpression

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Expression`

public class IsExportTypeExpression extends AbstractExpression
Tests, whether a certain export type is currently used.

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IsExportTypeExpression()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`computeValue()`
Return the current expression value.
`String`
`getExportType()`
`void`
`setExportType(String exportType)`

### Methods inherited from class org.jfree.report.expressions.AbstractExpression

`clone, getDataRow, getInstance, getName, getParentLocale, getReportConfiguration, getResourceBundleFactory, getRuntime, isDeepTraversing, isPrecompute, isPreserve, setDeepTraversing, setName, setPrecompute, setPreserve, setRuntime`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### IsExportTypeExpression

public IsExportTypeExpression()

## Method Details

### getExportType

public String getExportType()

### setExportType

public void setExportType(String exportType)

### computeValue

public Object computeValue() throws ExpressionException
Return the current expression value.

The value depends (obviously) on the expression implementation.

Returns:
  the value of the function.
Throws:
  `ExpressionException`